﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace RichTextBoxSpellCheckingSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void btnCheckSpelling_Click(object sender, RoutedEventArgs e)
        {
            // Update the spellcheck targets
            igSpellChecker.SpellCheckTargets.Clear();            
            foreach (Block b in richTextBox1.Blocks)
            {
                if (b is Paragraph)
                {
                    foreach (Inline i in ((Paragraph)b).Inlines)
                    {
                        if (i is Run)
                        {
                            Run r = i as Run;
                            Binding binding = new Binding("Text");
                            binding.Source = r;
                            binding.Mode = BindingMode.TwoWay;
                            igSpellChecker.SpellCheckTargets.Add(binding);
                        }
                    }
                }
            }

            // check spelling
            igSpellChecker.SpellCheck();
        }
    }
}
